LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XItemEventBroadcaster Interface Reference

registers item listeners at controls like the com::sun::star::awt::Roadmap More...

`import"XItemEventBroadcaster.idl";`

Inheritance diagram for XItemEventBroadcaster:

## Public Member Functions
void | addItemListener ([in] com::sun::star::awt::XItemListener l)
| registers a listener for item events. More...
void | removeItemListener ([in] com::sun::star::awt::XItemListener l)
| unregisters a listener for item events. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

registers item listeners at controls like the com::sun::star::awt::Roadmap

## Member Function Documentation

## ◆ addItemListener()

void addItemListener | ( | [in] com::sun::star::awt::XItemListener | l | ) |

registers a listener for item events.

## ◆ removeItemListener()

void removeItemListener | ( | [in] com::sun::star::awt::XItemListener | l | ) |

unregisters a listener for item events.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XItemEventBroadcaster.idl